/*******************************************************************************
 * Copyright (C) 2009 SourceForge.JP Hiroyuki Inaba and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Hiroyuki Inaba - initial API and implementation
 *******************************************************************************/
package jp.sourceforge.mylyn.internal.web.tasks;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.mylyn.internal.web.tasks.WebImages;
import org.eclipse.mylyn.tasks.core.ITask;
import org.eclipse.mylyn.tasks.core.TaskRepository;
import org.eclipse.mylyn.tasks.ui.wizards.ITaskRepositoryPage;

public class WebConnectorUi extends
		org.eclipse.mylyn.internal.web.tasks.WebConnectorUi {

	public ITaskRepositoryPage getSettingsPage(TaskRepository taskRepository) {
		return new WebRepositorySettingsPage(taskRepository);
	}

	public String getConnectorKind() {
		return WebRepositoryConnector.REPOSITORY_TYPE;
	}

	public ImageDescriptor getTaskKindOverlay(ITask task) {
		if (task.getConnectorKind().equals(
				WebRepositoryConnector.REPOSITORY_TYPE)) {
			return WebImages.OVERLAY_TASK_WEB;
		}
		return null;
	}
}
